Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.metadata
Class ManagedNotification

    java.lang.Object
      org.springframework.jmx.export.metadata.ManagedNotification

    public class ManagedNotification

extends java.lang.Object

Metadata that indicates a JMX notification emitted by a bean.

Since:
  2.0
Author:
  Rob Harrop

Constructor Summary
`ManagedNotification()`

Method Summary
`java.lang.String` | `getDescription()` Return a description for this notification.
`java.lang.String` | `getName()` Return the name of this notification.
`java.lang.String[]` | `getNotificationTypes()` Return the list of notification types.
`void` | `setDescription(java.lang.String description)` Set a description for this notification.
`void` | `setName(java.lang.String name)` Set the name of this notification.
`void` | `setNotificationType(java.lang.String notificationType)` Set a single notification type, or a list of notification types as comma-delimited String.
`void` | `setNotificationTypes(java.lang.String[] notificationTypes)` Set a list of notification types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedNotification

    public ManagedNotification()

Method Detail

### setNotificationType

    public void setNotificationType(java.lang.String notificationType)

  Set a single notification type, or a list of notification types as comma-delimited String.

### setNotificationTypes

    public void setNotificationTypes(java.lang.String[] notificationTypes)

  Set a list of notification types.

### getNotificationTypes

    public java.lang.String[] getNotificationTypes()

  Return the list of notification types.

### setName

    public void setName(java.lang.String name)

  Set the name of this notification.

### getName

    public java.lang.String getName()

  Return the name of this notification.

### setDescription

    public void setDescription(java.lang.String description)

  Set a description for this notification.

### getDescription

    public java.lang.String getDescription()

  Return a description for this notification.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD